> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Update Products

> API to bulk update products (price, availability, collections, delete)

API to bulk update products (price, availability, collections, delete)

```http theme={null}
POST https://services.leadconnectorhq.com/products/bulk-update
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Body

<ParamField body="altId" type="string" required default="6578278e879ad2646715ba9c">
  Account Id or Agency Id
</ParamField>

<ParamField body="altType" type="string" required>
  Posibles valores: 'account'
</ParamField>

<ParamField body="type" type="string" required default="bulk-update-price">
  Type of bulk update operation Posibles valores: 'bulk-update-price', 'bulk-update-availability', 'bulk-update-product-collection', 'bulk-delete-products', 'bulk-update-currency'
</ParamField>

<ParamField body="productIds" type="string[]" required>
  Array of product IDs
</ParamField>

<ParamField body="filters" type="object">
  Filters to apply when selectAll is true
</ParamField>

<ParamField body="price" type="object">
  Price update configuration
</ParamField>

<ParamField body="compareAtPrice" type="object">
  Compare at price update configuration
</ParamField>

<ParamField body="availability" type="boolean">
  New availability status
</ParamField>

<ParamField body="collectionIds" type="string[]">
  Array of collection IDs
</ParamField>

<ParamField body="currency" type="string" default="USD">
  Currency code
</ParamField>

## Respuestas

<Accordion title="201 - Products updated successfully">
  <ResponseField name="status" type="boolean" required default="True">
    Status of api action
  </ResponseField>

  <ResponseField name="message" type="string" default="Successfully created">
    Success message
  </ResponseField>

  ```json theme={null}
  {
    "status": true,
    "message": "Successfully created"
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://services.leadconnectorhq.com/products/bulk-update' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{
    "altId": "6578278e879ad2646715ba9c",
    "altType": "account",
    "type": "bulk-update-price",
    "productIds": [
      "5f8d0d55b54764421b7156c1"
    ],
    "availability": true,
    "collectionIds": [
      "string"
    ],
    "currency": "USD"
  }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/products/bulk-update', {
    method: 'POST',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "type": "bulk-update-price", "productIds": ["5f8d0d55b54764421b7156c1"], "availability": true, "collectionIds": ["string"], "currency": "USD"}),
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'POST',
      'https://services.leadconnectorhq.com/products/bulk-update',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
          'Content-Type': 'application/json',
      },
      json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "type": "bulk-update-price", "productIds": ["5f8d0d55b54764421b7156c1"], "availability": true, "collectionIds": ["string"], "currency": "USD"},
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/products/bulk-update');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'type': 'bulk-update-price', 'productIds': ['5f8d0d55b54764421b7156c1'], 'availability': true, 'collectionIds': ['string'], 'currency': 'USD'}),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
